<?php
/**
 * @package   Refraction Template - RocketTheme
 * @version   1.5.2 March 25, 2010
 * @author    RocketTheme, LLC http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2010 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Rockettheme Refraction Template uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */

defined('_JEXEC') or die('Restricted access');

$websearch = ($params->get('websearch', 0) && $params->get('websearch_api') != '') ? 1 : 0;
?>
<div id="searchmod-surround">
<form name="rokajaxsearch" id="rokajaxsearch" action="<?php echo JURI::Base()?>" method="get">
<div class="rokajaxsearch<?php echo $params->get('moduleclass_sfx'); ?>">
	<div class="input-field-l png"><div class="input-field-r png"><input id="roksearch_search_str" name="searchword" type="text" class="inputbox png" value="<?php echo JText::_('SEARCH'); ?>" /></div></div>
	<input type="hidden" name="searchphrase" value="<?php echo $params->get("searchphrase")?>"/>
	<input type="hidden" name="limit" value="" />
	<input type="hidden" name="ordering" value="<?php echo $params->get("ordering")?>" />
	<input type="hidden" name="view" value="search" />
	<input type="hidden" name="Itemid" value="99999999" />
	<input type="hidden" name="option" value="com_search" />

	<?php if ($websearch): ?>
		<div class="search_options">
			<label style="float: left; margin-right: 8px">
					<input type="radio" name="search_option[]" value="local" checked="checked" /><?php echo JText::_('LOCAL_SEARCH'); ?>
			</label>
			<label style="float: left;">
				<input type="radio" name="search_option[]" value="web" /><?php echo JText::_('WEB_SEARCH'); ?>
			</label>
		</div>
	<?php endif; ?>

	<div id="roksearch_results"></div>
	<script type="text/javascript">
	window.addEvent((window.webkit) ? 'load' : 'domready', function() {
		window.rokajaxsearch = new RokAjaxSearch({
			'results': '<?php echo JText::_('RESULTS'); ?>',
			'close': '',
			'websearch': <?php echo $websearch; ?>,
			'search': '<?php echo JText::_('SEARCH'); ?>',
			'readmore': '<?php echo JText::_('READMORE'); ?>',
			'noresults': '<?php echo JText::_('NORESULTS'); ?>',
			'advsearch': '<?php echo JText::_('ADVSEARCH'); ?>',
			'page': '<?php echo JText::_('PAGE'); ?>',
			'page_of': '<?php echo JText::_('PAGE_OF'); ?>',
			'searchlink': '<?php echo JURI::Base().htmlentities($params->get('search_page')); ?>',
			'advsearchlink': '<?php echo JURI::Base().htmlentities($params->get('adv_search_page')); ?>',
			'uribase': '<?php echo JURI::Base()?>',
			'limit': '<?php echo $params->get('limit', '10'); ?>',
			'perpage': '<?php echo $params->get('perpage', '3'); ?>',
			'ordering': '<?php echo $params->get('ordering', 'newest'); ?>',
			'phrase': '<?php echo $params->get('searchphrase', 'any'); ?>',
			'hidedivs': '<?php echo $params->get('hide_divs', ''); ?>',
			'includelink': <?php echo $params->get('include_link', 1); ?>,
			'viewall': '<?php echo JText::_('VIEWALL'); ?>',
			'estimated': '<?php echo JText::_('ESTIMATED'); ?>',
			'showestimated': <?php echo $params->get('show_estimated', 1); ?>,
			'showpagination': <?php echo $params->get('show_pagination', 1); ?>,
			'showcategory': <?php echo $params->get('include_category', 1); ?>,
			'showreadmore': <?php echo $params->get('show_readmore', 1); ?>,
			'showdescription': <?php echo $params->get('show_description', 1); ?>
		});
	});
	</script>
</div>
<div id="rokajaxsearch_tmp" style="visibility:hidden;display:none;"></div>
</form>
</div>